# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'nosec/version'

Gem::Specification.new do |spec|
  spec.name          = "nosec"
  spec.version       = Nosec::VERSION
  spec.authors       = ["zhaowu"]
  spec.email         = ["zhaowu@baimaohui.net"]

  spec.summary       = %q{NOSEC library of security toolkit SDK.}
  spec.description   = %q{NOSEC is a big data platform for security. It's has many function for testing, so this GEM is for developer.}
  spec.homepage      = "https://nosec.org"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "bin"
  spec.executables   = spec.files.grep(%r{^nosec_/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
